# Red Hat Bugzilla #

[Red Hat Bugzilla](https://bugzilla.redhat.com/) (RHBZ) is a Red Hat bug-tracking
system and is used to submit and review defects that have been found in Red Hat
distributions and community projects.

Red Hat Bugzilla is licensed under the MPL-2.0 license.  If a copy of the MPL was
not distributed with this file, you can obtain one at
<http://mozilla.org/MPL/2.0/>.

RHBZ combines the code from other Open Source projects with numerous
customizations specifically for Red Hat.

Some of the Open Source projects included have other Open Source licenses, where
these projects have been modified those modifications are licensed under the same
license as the upstream project.

Bugs in this code base should be opened in
[Red Hat Bugzilla](https://bugzilla.redhat.com/enter_bug.cgi?product=Bugzilla).

## Commit history warning ##

RHBZ started as Red Hat-internal fork in 1998 and over the two decades that
followed has undergone many changes. The commit history cannot be made public as
commit messages and meta info contains confidential data.

The code itself can be made public but for the above reason it is merely a single
commit on top of the upstream Bugzilla code. Red Hat retains an internal copy of
the source with history, should you have any questions about why a change was made
please contact a Red Hat Associate and they will review the history to see why a
change was made.

## Upstream Sources ##

### Bugzilla ###

RHBZ is a fork of Bugzilla, it provides the core code and extensions. There are
numerous customizations to this code.

* License: MPL-2.0
* URL: <https://www.bugzilla.org/>

### Mozilla Bugzilla ###

BMO is the Mozilla fork of Bugzilla, we cherry-pick extensions and patches.

* License: MPL-2.0
* URL: <https://github.com/mozilla-bteam/bmo>

### Alertify ###

AlertifyJS is a javascript framework for developing pretty browser dialogs and
notifications.

RHBZ uses this for ajax message results and some editing features.

* License: GPLv3
* URL: <https://alertifyjs.com/>

### Bayoteers ###

Bayoteers provides the BayotBase, AgileTools,and TreeViewPlus extensions.

RHBZ has made extensive changes to these.

* License: MPL-2.0
* URL: <https://github.com/bayoteers>

### DataTables ###

DataTables is a plug-in for the jQuery Javascript library. It is a highly flexible
tool, built upon the foundations of progressive enhancement, that adds all of
these advanced features to any HTML table.

RHBZ uses this to display bug lists and other tables.

* License: MIT
* URL: <https://www.datatables.net/>

### Font Awesome Free ###

Font Awesome Free is a font and icon toolkit based on CSS and LESS

RHBZ uses the open source version for various UI elements.

* License: Font Awesome Free License
* URL: <https://fontawesome.com/>

### PlotylyJS ###

Plotly.js is a high-level, declarative charting library.

RHBZ uses this for displaying custom reports.

* License: MIT
* URL: <https://plotly.com/javascript/>

### Selectize ###

Selectize is the hybrid of a textbox and select box. It's jQuery based and it has
autocomplete and native-feeling keyboard navigation; useful for tagging, contact
lists, etc.

RHBZ uses this to replace most select boxes.

* License: Apache-2.0
* URL: <https://github.com/selectize/selectize.js>
* Version: 0.13.6

### zxcvbn ###

zxcvbn is a realistic password strength estimator originally developed by Dropbox.

The server side implementation used is Data::Password::zxcvbn.

* License: perl_5
* URL: <https://metacpan.org/pod/Data::Password::zxcvbn>

The client side implementation used is zxcvbn-ts.

* License: MIT
* URL: <https://github.com/zxcvbn-ts/zxcvbn>
