
#!/usr/bin/perl -T
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

use 5.10.1;
use strict;
use warnings;

_show_error_page($ENV{REDIRECT_ERROR_NOTES});

exit;

sub _show_error_page {
  my $msg      = shift;
  my $template = <<EOT;
<!DOCTYPE HTML>
<html>

<head>
    <meta charset="UTF-8">
    <title>Red Hat Bugzilla - Unrecoverable Error</title>
    <link type="text/css" href="../skins/standard/global.css" rel="stylesheet">
    <link type="text/css" href="../extensions/RedHat/web/css/redhat.css" rel="stylesheet">
</head>

<body>
    <div id="header">
        <div id="titles">
            <span class="logo-crop">
                <img src="../extensions/RedHat/web/css/l_redhat-lg.png" alt="logo">
            </span>
            <span id="title">Red Hat Bugzilla - Unrecoverable Error</span>
        </div>
    </div>
    <div id="bugzilla-body">
        <div class='message'>
            <h1>Unrecoverable Error</h1>
            <p>The server encountered an error and was unable to complete your request.</p>
        </div>
        <pre>
$msg
        </pre>
        <div>
            For administrative assistance please contact <a href="mailto:bugzilla-owner\@redhat.com"> bugzilla-owner\@redhat.com </a>
        </div>
    </div>
</body>

</html>
EOT

  say "content-type: text/html";
  say "Status: 500";
  say ""; # This ends the header.
  say $template;

  return;
}
