# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

package Bugzilla::Extension::PlotlyReports::Util;

use 5.10.1;
use strict;
use warnings;

use DateTime;

use parent qw(Exporter);
our @EXPORT = qw(
  Delta_Days
);

# This file can be loaded by your extension via
# "use Bugzilla::Extension::PlotlyReports::Util". You can put functions
# used by your extension in here. (Make sure you also list them in
# @EXPORT.)

=head1 Delta_Days

Implementation of Date::Calc Delta_Days routine using DateTime.

=cut

sub Delta_Days {
  my ($year1, $month1, $day1, $year2, $month2, $day2) = @_;

  my $date1 = new DateTime(year => $year1, month => $month1, day => $day1);
  my $date2 = new DateTime(year => $year2, month => $month2, day => $day2);

  return $date1->delta_days($date2)->in_units('days');
}

1;
