# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

package Bugzilla::Extension::SAML2Auth;

use 5.10.1;
use strict;
use warnings;

use constant NAME => 'SAML2Auth';

use constant REQUIRED_MODULES => [
  {package => 'perl-Net-SAML2',   module => 'Net::SAML2',   version => 0.18,},
  {package => 'perl-Date-Parse',  module => 'Date::Parse',  version => 0,},
  {package => 'perl-DateTime',    module => 'DateTime',     version => 0,},
  {package => 'perl-File-Slurp',  module => 'File::Slurp',  version => 0,},
  {package => 'perl-List-Util',   module => 'List::Util',   version => 0,},
  {package => 'perl-MIME-ase64',  module => 'MIME::Base64', version => 0,},
  {package => 'perl-Scalar-Util', module => 'Scalar::Util', version => 0,},
];

use constant OPTIONAL_MODULES => [];

__PACKAGE__->NAME;

__END__

=head1 Description

Bugzilla::Extension::SAML2Auth - A module for specifying dependecies of the SAML2Auth extension.

=head1 Dependencies

=head2 Required Modules

=over 4

=item Bugzilla

=item L<Net::SAML2> -> With custom modifications see https://github.com/jfearn/perl-Net-SAML2/tree/devel

=item L<Date::Parse>

=item L<DateTime>

=item L<File::Slurp>

=item L<List::Util>

=item L<MIME::Base64>

=item L<Scalar::Util>

=item L<Email::Valid>

=back

=head2 Optional Modules

None.

